#include <windows.h>

class Bitmap {
public:
	void loadPPM (char *filename);
	void loadBMP (char *filename);

	void* getData ();

	unsigned int getWidth ();
	unsigned int getHeight ();
	unsigned int getDepth ();

	void release ();

	void getBitmapInfo (BITMAPINFO **ppBitmapInfo, unsigned long *pBitmapInfoBytes);

private:
	char* data;
	BITMAPINFOHEADER *header;
	unsigned int width, height, depth;
};